<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$countryFactory = $objectManager->get('\Magento\Directory\Model\Country');
$distributorModel = $objectManager->get('\Intesols\Distributor\Model\DistributorFactory')->create();

$distributors = $distributorModel->getCollection()->setOrder('position', 'ASC')->load();


$avil_country = [];
$store_country_code = $this->helper('Intesols\Distributor\Helper\Data')->getCountryCode();
$avil_country = [];

foreach ($distributors as $distributor) {

   $countries = explode(',', $distributor['country']);
   foreach ($countries as $country) {
      if ($country != '') {
         $avil_country[] = $country;
      }
   }

}
$avil_country = array_values(array_unique($avil_country));

?>
<?php

/*echo "<pre>";
print_r($_POST);*/
$changeSelection = 0;

if (array_key_exists('country', $_POST)) {
   $selectedCountry = $_POST['country'];
   $changeSelection = 1;
} else {
   $selectedCountry = $store_country_code;
}

$thisReseller = [];
$thisDistributor = [];
$thisNationalRetailer = [];

foreach ($distributors as $distributor) {
/*echo $distributor['country']."=>".$distributor['type']."=>".$distributor['status'];
echo "<br />";*/
   if ((strpos($distributor['country'], $selectedCountry) || strpos($distributor['country'], $selectedCountry) === 0) && $distributor['type'] == 1 && $distributor['status'] == 1) {
      $thisReseller[] = $distributor->getData();
   } elseif ((strpos($distributor['country'], $selectedCountry) || strpos($distributor['country'], $selectedCountry) === 0) && $distributor['type'] == 2 && $distributor['status'] == 1) {
      $thisDistributor[] = $distributor->getData();
   } elseif ((strpos($distributor['country'], $selectedCountry) || strpos($distributor['country'], $selectedCountry) === 0) && $distributor['type'] == 3 && $distributor['status'] == 1) {
      $thisNationalRetailer[] = $distributor->getData();
   }
}

//print_r($thisReseller);

?>

      <div id="buyers">
               <div class="row" id="distributors">
                  <div class="">
                     <span class="title dist-title">Distributors</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           <?php if ($thisDistributor): ?>
                           <?php
$i = 0;
foreach ($thisDistributor as $singleDistributer) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleDistributer['logo_url'] ?>"><img src=<?php echo '"' . $this->getUrl('pub/media') . $singleDistributer['logo'] . '"'; ?> alt=<?php echo $singleDistributer['name'] ?> /></a></span>
                           </div>
                           <?php
}
?>
                           <?php
if ($i > 3) {
   $i = 0;
   ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           <?php else: ?>
                           <div  class="client-logoes">
                              <p>No Distributors Available in This Country.</p>
                           </div>
                           <?php endif;?>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row padding-top70">
                  <div class="">
                     <span class="title dist-title">National Retailers</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           <?php if ($thisNationalRetailer): ?>
                           <?php
$i = 0;
foreach ($thisNationalRetailer as $singleNationalRetailer) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleNationalRetailer['logo_url'] ?>"><img src=<?php echo '"' . $this->getUrl('pub/media') . $singleNationalRetailer['logo'] . '"'; ?> alt=<?php echo $singleNationalRetailer['name'] ?> /></a></span>
                           </div>
                           <?php
if ($i > 3) {
      $i = 0;
      ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           <?php }?>
                           <?php else: ?>
                           <div  class="client-logoes">
                              <p>No National Retailers Available in This Country.</p>
                           </div>
                           <?php endif;?>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row padding-top70">
                  <div class="">
                     <span class="title dist-title">Resellers</span>
                  </div>
                  <div class="profile col-md-12">
                     <div class="row">
                        <div class="distributors">
                           <?php if ($thisReseller): ?>
                           <?php
$i = 0;
foreach ($thisReseller as $singleReseller) {
   $i++;
   ?>
                           <div class="col-md-3">
                              <span><a target="_blank" href="<?php echo $singleReseller['logo_url'] ?>"><img src=<?php echo '"' . $this->getUrl('pub/media') . $singleReseller['logo'] . '"'; ?> alt=<?php echo $singleReseller['name'] ?> /></a></span>
                           </div>
                           <?php
if ($i > 3) {
      $i = 0;
      ?>
                           <div class="clearfix"></div>
                           <?php }?>
                           <?php }?>
                           <?php else: ?>
                           <div  class="client-logoes">
                              <p>No Resellers Available in This Country.</p>
                           </div>
                           <?php endif;?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
 


<script type="text/javascript">
require([
    "jquery"

],function($) {

        $('#country-seletor').on('change', function() {

            var customurl = "<?php echo $this->getUrl() . 'alogic_wheretobuy/index/index' ?>";
                     $.ajax({
                           url: customurl,
                           type: 'POST',
                           data: {
                             country: $('#country-seletor').val(),
                             partner: $('#partner-seletor').val(),
                             search: $('#text-search').val(),
                           },
                        beforeSend: function() {
                            // show some loading icon
                            $('.page-wrapper').addClass("lazy-loading-img");                            
                           },   
                        success: function(data, status, xhr) {
                           
                           $('#buyers').html(data);
                              
                              $('.page-wrapper').removeClass("lazy-loading-img");                                 
                                                                     
                            // data contains your controller response
                        },
                        error: function (xhr, status, errorThrown) {
                            console.log('Error happens. Try again.');
                            console.log(errorThrown);
                        }
                    });
        });
    });

</script>
